
QGIS Application - Bug report #8424

Buffer treatment don't use good distance setting

2013-08-08 01:13 AM - Arthur Vignacq

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 17193

Description

Hello,

I've just tried a usual option I frequently use in QGIS older version, but with 1.9 master, buffer don't work well. 

First time, Qgis got freezed. Then, I requested à 200m distance buffer, and ended with something of more than 3 km...

Any idea

History

#1 - 2013-08-08 01:14 AM - Giovanni Manghi

- Category set to 44

- Status changed from Open to Feedback

please add sample data and detailed steps on how to replicate the issue.

#2 - 2013-08-08 01:37 AM - Arthur Vignacq

Details folowing:

I have a layer with +10 polygonal object (around 1ha). Menu Vector --> Geotreatment --> Buffer

Settings = 20 segments, 200 distance

Projet settings are ok (units = meters)

#3 - 2013-08-08 01:46 AM - Giovanni Manghi

Arthur Vignacq wrote:

Details folowing:

I have a layer with +10 polygonal object (around 1ha). Menu Vector --> Geotreatment --> Buffer

Settings = 20 segments, 200 distance

Projet settings are ok (units = meters)

it works fine here, so please attach a sample of your data, to allow us understand if it is the program or the data or the settings.
#4 - 2013-08-08 01:48 AM - Arthur Vignacq

Edit: Buffer polygone created bigger than +100 000 ha2 ... Bigger than France

#5 - 2013-08-08 01:51 AM - Arthur Vignacq

http://speedy.sh/c3wts/Port-contours.zip

Base layer attached

#6 - 2013-08-08 01:51 AM - Regis Haubourg

please specify your projection settings (CRS  + projection on the fly yes-no) and measuring units preferences.

The best help would be to give a very small datasample + qgs project reproducing the bug

Régis

#7 - 2013-08-08 01:54 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

Arthur Vignacq wrote:

http://speedy.sh/c3wts/Port-contours.zip

Base layer attached

the prj of your shape says it is in WGS84, so the units are degrees. This is why you are getting to large buffers.

#8 - 2013-08-08 02:03 AM - Arthur Vignacq

- File Work.tiff added

I was pretty sure to ask for an RGF 93 projection creating the shape file, but must be my mistake.

Just created another shape file, created a buffer file, work well.

Thanks !

#9 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

Work.tiff 511 KB 2013-08-08 Arthur Vignacq
